### Function

# GObject signal_list_ids

#### Declaration [src]

    guint*
    g_signal_list_ids (
      GType itype,
      guint* n_ids
    )

#### Description [src]

Lists the signals by id that a certain instance or interface type created. Further information about the signals can be acquired through g_signal_query().

#### Parameters

`itype`

  Type: `GType`

  Instance or interface type.

`n_ids`

  Type: `guint*`

  Location to store the number of signal ids for `itype`.

  The argument will be set by the function.

#### Return value

Type: An array of `guint`

Newly allocated array of signal IDs.

The length of the array is in the `n_ids` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.